//-----------------------------------------------
//TUSB-K16DIOphCoANZXpAPI
//Visual C++/CLI pW[
//
//2014_01_10@Ѓ^[gH
//Copyright (C) 2014 Turtle Industry Co.,Ltd.
//-----------------------------------------------

#ifndef TUSBK02AD_h
#define TUSBK02AD_h

using namespace System;
using namespace System::Runtime::InteropServices;

//API Function declaration
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_Device_Open(short Id);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void TUSBK16DIO_Device_Close(short Id);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_Dir(short Id, unsigned char Port, unsigned char Directin);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_PortWrite(short Id, unsigned char Port, unsigned char data);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_Write(short Id, unsigned char Data1, unsigned char Data2);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_Read(short Id, unsigned char *Data1, unsigned char *Data2);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_DirRead(short Id, unsigned char *Dir1, unsigned char *Dir2);
[DllImport("TUSBKDIO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short TUSBK16DIO_OutputRead(short Id, unsigned char *Data1, unsigned char *Data2);

static String^ TUSBK16DIO_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 2:
            return "hCoCXg[Ă܂";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        case 8:
            return "p[^G[";
        case 9:
            return "USBʐMG[ł";
        default:
            return "sȃG[ł";
    }
}

#endif
